export const formatInt = (num, prec = 1, ceil = false) => {
	const len = String(num).length;
	if (len <= prec) {
		return num
	};

	const mult = Math.pow(10, prec);
	return ceil ?
		Math.ceil(num / mult) * mult :
		Math.floor(num / mult) * mult;
}
export const dateFormat = (date) => {
	var date = new Date(date);
	var YY = date.getFullYear() + '-';
	var MM = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '-';
	var DD = (date.getDate() < 10 ? '0' + (date.getDate()) : date.getDate());
	var hh = (date.getHours() < 10 ? '0' + date.getHours() : date.getHours()) + ':';
	var mm = (date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes()) + ':';
	var ss = (date.getSeconds() < 10 ? '0' + date.getSeconds() : date.getSeconds());
	return YY + MM + DD + " " + hh + mm + ss;
}
export const dateFormatD = (date) => {
	var date = new Date(date);
	var YY = date.getFullYear() + '年';
	var MM = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '月';
	var DD = (date.getDate() < 10 ? '0' + (date.getDate()) : date.getDate())+'日';
	return MM + DD;
}
export const dateFormatYMD = (date) => {
	var date = new Date(date);
	var YY = date.getFullYear() + '年';
	var MM = (date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1) + '月';
	var DD = (date.getDate() < 10 ? '0' + (date.getDate()) : date.getDate())+'日';
	return YY+MM + DD;
}
export const uniqueFunc = (...args) => {
	const paramsLength = arguments.length;
	if (paramsLength == 1) {
		return [...new Set(arr)];
	} else {
		const res = new Map();
		const flag = arguments[1];
		return arguments[0].filter(item => !res.has(item[flag]) && res.set(item[flag], item));
	}
}

export const formatImg = (html) => {
	var newContent = html.replace(/<img[^>]*>/gi, function(match, capture) {
		let processed = null;
 
		if (!match.match(/style=\"(.*)\"/gi)) {
			processed = match.replace(/\<img/g, '<img style="width:100%;height:auto;display:block"');
		} else {
			processed = match.replace(/style=\"(.*)\"/gi, 'style="width: 100%;height:auto;display:block;margin: 0 auto;"');
		}
			
		return processed;
	});
	return newContent;
}
